Bug 258476 - net-p2p/bazarr: Update to 0.9.9
Summary: net-p2p/bazarr: Update to 0.9.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/morpheus65535/baza...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-13 13:35 UTC by Michiel van Baak
Modified: 2021-09-16 10:07 UTC (History)
2 users (show)

See Also:


Attachments
0001-net-p2p-bazarr-Update-to-0.9.9.patch (2.02 KB, patch)
2021-09-13 13:35 UTC, Michiel van Baak
michiel: maintainer-approval+
Details | Diff
0001-net-p2p-bazarr-Update-to-0.9.9.patch (2.04 KB, patch)
2021-09-14 12:10 UTC, Michiel van Baak
michiel: maintainer-approval+
Details | Diff
0001-net-p2p-bazarr-Update-to-0.9.9.patch (2.20 KB, patch)
2021-09-15 11:45 UTC, Michiel van Baak
michiel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michiel van Baak 2021-09-13 13:35:22 UTC
Created attachment 227872 [details]
0001-net-p2p-bazarr-Update-to-0.9.9.patch

Runs 'in production' on my setup (13.0-RELEASE-p3 on AMD64).
Passes poudriere tests.
Comment 1 Nuno Teixeira freebsd_committer 2021-09-14 09:20:15 UTC
Hello,

'portlint -C':
---
FATAL: Makefile: extra item "# Grab the asset as it contains built frontend and some extra files" placed in the PORTNAME section.
1 fatal error and 0 warnings found.
---

Is it really necessary this comment to download distfile?
Comment 2 Michiel van Baak 2021-09-14 11:58:57 UTC
(In reply to Nuno Teixeira from comment #1)

Sure I can remove it, but then on next update there will be a review comment asking why it uses a distfile. That's the reason why I put it there in the first place.
Comment 3 Michiel van Baak 2021-09-14 12:10:27 UTC
Created attachment 227892 [details]
0001-net-p2p-bazarr-Update-to-0.9.9.patch

Same as before, but with the comment line removed from the Makefile.
Comment 4 Nuno Teixeira freebsd_committer 2021-09-15 08:24:42 UTC
(In reply to Michiel van Baak from comment #2)

You are using the correct way to fetch distfile:

---
5.4.3. USE_GITHUB

If the distribution file comes from a specific commit or tag on GitHub for which there is no officially released file, there is an easy way to set the right DISTNAME and MASTER_SITES automatically.

https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-distfiles
---

In this particular case, upstream have an static distfile realease available and it should be used with MASTER_SITES. If upstream don't have an static release available, then we need to use USE_GITHUB to fetch a dynamic auto generated distfile.
Comment 5 Daniel Engberg freebsd_committer 2021-09-15 09:24:52 UTC
In this case (unless we can pursue upstream to version files which would be the best solution) it might be an idea to set DIST_SUBDIR to something like ${PORTNAME}/${DISTVERSION} for both ports to allow distfile(s) to co-exist.
Comment 6 Nuno Teixeira freebsd_committer 2021-09-15 10:48:15 UTC
(In reply to Daniel Engberg from comment #5)
Hello Daniel,

Could you please take this PR so I can learn more how to do this?
Comment 7 Michiel van Baak 2021-09-15 11:20:43 UTC
(In reply to Daniel Engberg from comment #5)
I asked upstream about putting the version in the asset (using a pr, see https://github.com/morpheus65535/bazarr/pull/1545)
They will not do this for the following reason (They replied on the pr, put here so people dont have to go to github):  "I won't merge this one as the Bazarr Windows installer rely on having always the same asset name to properly get the latest one."

They are depending on the fact github provides a 'latest' version specifier pointing to the latest stable release: https://github.com/morpheus65535/bazarr/releases/latest/download/bazarr.zip

I'll add the DIST_SUBDIR to the Makefile

Thanks for your patience
Comment 8 Michiel van Baak 2021-09-15 11:45:08 UTC
Created attachment 227913 [details]
0001-net-p2p-bazarr-Update-to-0.9.9.patch

Added DIST_SUBDIR
Comment 9 Michiel van Baak 2021-09-15 11:54:11 UTC
Added DIST_SUBDIR (and updated to latest beta) to bazarr-devel in PR https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=258511
Comment 10 Nuno Teixeira freebsd_committer 2021-09-16 07:27:19 UTC
Sorry that at first I didn't see what was the problem here. I've looked at bazarr-devel and it make all sense to use DIST_SUBDIR.

Just doing some tests
Comment 11 commit-hook freebsd_committer 2021-09-16 09:26:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a351de4b7b6229238f79199c213a8b40512b39c8

commit a351de4b7b6229238f79199c213a8b40512b39c8
Author:     Michiel van Baak <michiel@vanbaak.eu>
AuthorDate: 2021-09-16 09:21:23 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-16 09:25:35 +0000

    net-p2p/bazarr: Update to 0.9.9

     - add DIST_SUBDIR so bazarr and bazarr-devel distfiles can coexist

    ChangeLog: https://github.com/morpheus65535/bazarr/releases/tag/v0.9.9

    PR:             258476

 net-p2p/bazarr/Makefile | 10 +++++-----
 net-p2p/bazarr/distinfo |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)
Comment 12 Nuno Teixeira freebsd_committer 2021-09-16 09:29:58 UTC
Committed thanks!
Comment 13 Nuno Teixeira freebsd_committer 2021-09-16 09:31:31 UTC
(In reply to Daniel Engberg from comment #5)
Thank you Daniel for your help.

Cheers
Comment 14 Daniel Engberg freebsd_committer 2021-09-16 09:51:00 UTC
(In reply to Nuno Teixeira from comment #13)
You're welcome! Sorry about not responding to your request earlier, it drowned in my pile of mail :/
Comment 15 Michiel van Baak 2021-09-16 10:07:29 UTC
(In reply to Daniel Engberg from comment #14)

And thank you both for getting this one (and the bazarr-devel) in.